module Data.Tuple.M2 where
import Prelude ()

{- | category theory constructions for 2-ary tuples -}

{- | projections are @fst, snd@ -}

{- | product of morphisms -}
productMor (f0, f1) = \x -> (f0 x, f1 x)

{- | functor (cartesian) product of morphisms -}
functorMor (f0, f1) (x0, x1) = (f0 x0, f1 x1)
